# QA Dashboard
# Copyright 2012-2013 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from django import forms


class ImageResultAddForm(forms.Form):
    release = forms.CharField(max_length=200)
    variant = forms.CharField(max_length=200)
    arch = forms.CharField(max_length=200)
    md5 = forms.CharField(max_length=200)
    build_number = forms.CharField(max_length=50)
    machine = forms.CharField(max_length=200)
    ran_at = forms.DateTimeField()

    kernel_init = forms.FloatField()
    kernel = forms.FloatField()
    plumbing = forms.FloatField()
    xorg = forms.FloatField()
    desktop = forms.FloatField()
