#!/bin/bash

set -e

# find the correct directory
basedir=$(readlink -f $(dirname $0))

# set the lock file name
project=$(basename $(readlink -f ${basedir}/..))

# update
(
  flock -x 200
  
  cd $basedir/..

  # run the update script
  python manage.py jenkins_pull_smoke
  python manage.py jenkins_pull_sru
  python manage.py jenkins_pull_bootspeed
  python manage.py jenkins_pull_power
  python manage.py jenkins_pull_memory
) 200>/var/lock/$project-qa-dashboard-update
