import logging
import os
import sys

sys.path.append(os.path.join(os.path.dirname(__file__), '..'))
os.environ['DJANGO_SETTINGS_MODULE'] = 'qa_dashboard.settings'

logging.basicConfig(level=logging.DEBUG)

from bootspeed.models import Image


def remove_unknown_images():
    """ Remove bootspeed images with build_number == 'unknown'. """

    Image.objects.filter(build_number="unknown").delete()

if __name__ == "__main__":
    remove_unknown_images()
